Catalog
Catalog object
- namestring
Output only. The full resource path of the catalog.
Format: "catalogs/{catalog_id}".
- uidstring
System-generated unique identifier for the catalog.
- specobject
The desired state of the Catalog.
Show child attributesHide child attributes
- postgres_databasestring
The name of the Postgres database inside the specified Lakebase project and branch to be associated with the UC catalog. This database must already exist, unless create_database_if_missing is set to true on creation.
A database can only be registered with one UC catalog at a time. To re-register a database with a different catalog, the existing catalog must be deleted first.
A child branch inherits the fact of parent's registration. This means the same-named database in a child branch cannot be registered with a second catalog while the parent's registration exists. To allow registering the database of a child branch, drop and recreate the database on the child branch. This removes the fact of parent's registration from this branch only.
Doing Point In Time Restore (PITR) prior to the moment before the Postgres DB was registered in the Catalog drops the fact of registration of the database. So the user should avoid doing so.
- create_database_if_missingboolean
If set to true, the specified postgres_database is created on behalf of the calling user if it does not already exist. In this case, the calling user has a role created for them in Postgres if they do not already have one.
Defaults to false, meaning that the request fails if the specified postgres_database does not already exist.
- branchstring
The resource path of the branch associated with the catalog.
Format: projects/{project_id}/branches/{branch_id}.
- statusobject
The observed state of the Catalog.
Show child attributesHide child attributes
- postgres_databasestring
The name of the Postgres database associated with the catalog.
- projectstring
The resource path of the project associated with the catalog.
Format: projects/{project_id}.
- branchstring
The resource path of the branch associated with the catalog.
Format: projects/{project_id}/branches/{branch_id}.
- create_timestring
A timestamp indicating when the catalog was created.
- update_timestring
A timestamp indicating when the catalog was last updated.
- catalog_idstring
The part of the name, chosen by the user when the resource was created.
Get GA
GET
Get a Database Catalog.
API scopes: postgres
Parameters
- namestringpath
The full resource path of the catalog to retrieve.
Format: "catalogs/{catalog_id}".
Response
Returns the Catalog object.
Create GA
POST
Register a Postgres database in the Unity Catalog.
API scopes: postgres
Parameters
- catalog_idstringquery
The ID in the Unity Catalog. It becomes the full resource name, for example "my_catalog" becomes "catalogs/my_catalog".
Request body
- catalogobject
Show child attributesHide child attributes
- namestring
Output only. The full resource path of the catalog.
Format: "catalogs/{catalog_id}".
- uidstring
System-generated unique identifier for the catalog.
- specobject
The desired state of the Catalog.
Show child attributesHide child attributes
- postgres_databasestring
The name of the Postgres database inside the specified Lakebase project and branch to be associated with the UC catalog. This database must already exist, unless create_database_if_missing is set to true on creation.
A database can only be registered with one UC catalog at a time. To re-register a database with a different catalog, the existing catalog must be deleted first.
A child branch inherits the fact of parent's registration. This means the same-named database in a child branch cannot be registered with a second catalog while the parent's registration exists. To allow registering the database of a child branch, drop and recreate the database on the child branch. This removes the fact of parent's registration from this branch only.
Doing Point In Time Restore (PITR) prior to the moment before the Postgres DB was registered in the Catalog drops the fact of registration of the database. So the user should avoid doing so.
- create_database_if_missingboolean
If set to true, the specified postgres_database is created on behalf of the calling user if it does not already exist. In this case, the calling user has a role created for them in Postgres if they do not already have one.
Defaults to false, meaning that the request fails if the specified postgres_database does not already exist.
- branchstring
The resource path of the branch associated with the catalog.
Format: projects/{project_id}/branches/{branch_id}.
- statusobject
The observed state of the Catalog.
Show child attributesHide child attributes
- postgres_databasestring
The name of the Postgres database associated with the catalog.
- projectstring
The resource path of the project associated with the catalog.
Format: projects/{project_id}.
- branchstring
The resource path of the branch associated with the catalog.
Format: projects/{project_id}/branches/{branch_id}.
- create_timestring
A timestamp indicating when the catalog was created.
- update_timestring
A timestamp indicating when the catalog was last updated.
- catalog_idstring
The part of the name, chosen by the user when the resource was created.
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobjectRequired
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
- messagestring
- stack_tracestring
- detailsarray of object
- responseobjectRequired
The normal, successful response of the operation.
Delete GA
DELETE
Delete a Database Catalog.
API scopes: postgres
Parameters
- namestringpath
The full resource path of the catalog to delete.
Format: "catalogs/{catalog_id}".
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobjectRequired
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
- messagestring
- stack_tracestring
- detailsarray of object
- responseobjectRequired
The normal, successful response of the operation.